﻿namespace TestProject;

/// <summary>
/// 컨트롤 확장
/// </summary>
public static class ControlExtension
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Public

    #region 필요시 호출하기 - InvokeIfRequired(control, methodInvoker)

    /// <summary>
    /// 필요시 호출하기
    /// </summary>
    /// <param name="control">컨트롤</param>
    /// <param name="methodInvoker">메소드 호출자</param>
    public static void InvokeIfRequired(this Control control, MethodInvoker methodInvoker)
    {
        if(control.InvokeRequired)
        {
            control.Invoke(methodInvoker);
        }
        else
        {
            methodInvoker();
        }
    }

    #endregion
}