namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainForm()

        /// <summary>
        /// 
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.runButton.Click += runButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region  ư Ŭ óϱ - runButton_Click(sender, e)

        /// <summary>
        ///  ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void runButton_Click(object sender, EventArgs e)
        {
            Button button = sender as Button;

            button.Enabled = false;

            Thread thread = new Thread(new ThreadStart(ProcessThread));

            thread.Start();

        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region  óϱ - ProcessThread()

        /// <summary>
        ///  óϱ
        /// </summary>
        private void ProcessThread()
        {
            for(int i = 0; i < 10; i++)
            {
                this.InvokeIfRequired(() => { this.messageLabel.Text = (i + 1).ToString(); });

                Thread.Sleep(500);
            }

            this.InvokeIfRequired
            (
                () =>
                {
                    this.messageLabel.Text = string.Empty;

                    this.runButton.Enabled = true;
                }
            );
        }

        #endregion
    }
}